Annotation queues
List an annotation queue's items
GET
/
v1
/
annotation-queues
/
{id_or_name}
/
items
List an annotation queue's items
curl --request GET \
--url https://api.veri.studio/v1/annotation-queues/{id_or_name}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/annotation-queues/{id_or_name}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/annotation-queues/{id_or_name}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"queue_id": "<string>",
"target_type": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"request_id": "<string>",
"deployment_id": "<string>",
"thread_id": "<string>",
"target_revision": "<string>",
"experiment_id": "<string>",
"item_id": "<string>",
"reserved_by": "<string>",
"reserved_until": "2023-11-07T05:31:56Z",
"completed_by": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"correction": "<unknown>",
"note": "<string>"
}
],
"has_more": true
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Path Parameters
Queue id (aq_...) or name
Query Parameters
pending | reserved | completed | skipped
Page size, 1..=100 (default 50).
Cursor: items after this item id (oldest first).
List an annotation queue's items
curl --request GET \
--url https://api.veri.studio/v1/annotation-queues/{id_or_name}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/annotation-queues/{id_or_name}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/annotation-queues/{id_or_name}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"queue_id": "<string>",
"target_type": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"request_id": "<string>",
"deployment_id": "<string>",
"thread_id": "<string>",
"target_revision": "<string>",
"experiment_id": "<string>",
"item_id": "<string>",
"reserved_by": "<string>",
"reserved_until": "2023-11-07T05:31:56Z",
"completed_by": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"correction": "<unknown>",
"note": "<string>"
}
],
"has_more": true
}
